searchNodes=[{"ref":"Chex.html","title":"Chex","type":"module","doc":"Public API for Chex."},{"ref":"Chex.html#end_game/1","title":"Chex.end_game/1","type":"function","doc":"End a game process. Examples iex&gt; {:ok, pid} = Chex.new_game() iex&gt; pid|&gt; Chex.end_game() :ok"},{"ref":"Chex.html#engine_move/1","title":"Chex.engine_move/1","type":"function","doc":""},{"ref":"Chex.html#move/2","title":"Chex.move/2","type":"function","doc":""},{"ref":"Chex.html#new_game/0","title":"Chex.new_game/0","type":"function","doc":""},{"ref":"Chex.html#new_game/1","title":"Chex.new_game/1","type":"function","doc":"Creates a new game. Examples iex&gt; {:ok, pid} = Chex.new_game() iex&gt; pid |&gt; is_pid() true"},{"ref":"Chex.html#state/1","title":"Chex.state/1","type":"function","doc":""},{"ref":"Chex.Board.html","title":"Chex.Board","type":"module","doc":""},{"ref":"Chex.Board.html#file_index/1","title":"Chex.Board.file_index/1","type":"function","doc":""},{"ref":"Chex.Board.html#files/0","title":"Chex.Board.files/0","type":"function","doc":""},{"ref":"Chex.Board.html#get/2","title":"Chex.Board.get/2","type":"function","doc":""},{"ref":"Chex.Board.html#new/0","title":"Chex.Board.new/0","type":"function","doc":""},{"ref":"Chex.Board.html#place_at/3","title":"Chex.Board.place_at/3","type":"function","doc":""},{"ref":"Chex.Engine.html","title":"Chex.Engine","type":"module","doc":""},{"ref":"Chex.Engine.html#child_spec/1","title":"Chex.Engine.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Chex.Engine.html#handle_continue/2","title":"Chex.Engine.handle_continue/2","type":"function","doc":"Invoked to handle continue instructions. It is useful for performing work after initialization or for splitting the work in a callback in multiple steps, updating the process state along the way. Return values are the same as c:handle_cast/2. This callback is optional. If one is not implemented, the server will fail if a continue instruction is used. This callback is only supported on Erlang/OTP 21+. Callback implementation for GenServer.handle_continue/2."},{"ref":"Chex.Engine.html#init/1","title":"Chex.Engine.init/1","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state}, except that it also sets a timeout. See the &quot;Timeouts&quot; section in the module documentation for more information. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Chex.Engine.html#start_link/1","title":"Chex.Engine.start_link/1","type":"function","doc":""},{"ref":"Chex.Game.html","title":"Chex.Game","type":"module","doc":"Functions for playing a chess game."},{"ref":"Chex.Game.html#move/2","title":"Chex.Game.move/2","type":"function","doc":""},{"ref":"Chex.Game.html#new/1","title":"Chex.Game.new/1","type":"function","doc":"Creates a new game from fen. Returns a %Chex.Game{} initialized with fen or the default starting positions. Examples iex&gt; Chex.Game.new() %Chex.Game{} iex&gt; Chex.Game.new(&quot;rnbqkbnr/pppppppp/8/8/4P3/8/PPPP1PPP/RNBQKBNR b KQkq e3 0 1&quot;) %Chex.Game{}"},{"ref":"Chex.Game.html#to_fen/1","title":"Chex.Game.to_fen/1","type":"function","doc":""},{"ref":"Chex.Game.html#t:move/0","title":"Chex.Game.move/0","type":"type","doc":""},{"ref":"Chex.Game.html#t:t/0","title":"Chex.Game.t/0","type":"type","doc":""},{"ref":"Chex.Parser.FEN.html","title":"Chex.Parser.FEN","type":"module","doc":"Forsyth–Edwards Notation parser."},{"ref":"Chex.Parser.FEN.html#decode_active_color/1","title":"Chex.Parser.FEN.decode_active_color/1","type":"function","doc":""},{"ref":"Chex.Parser.FEN.html#decode_board/1","title":"Chex.Parser.FEN.decode_board/1","type":"function","doc":""},{"ref":"Chex.Parser.FEN.html#decode_castling/1","title":"Chex.Parser.FEN.decode_castling/1","type":"function","doc":""},{"ref":"Chex.Parser.FEN.html#decode_en_passant/1","title":"Chex.Parser.FEN.decode_en_passant/1","type":"function","doc":""},{"ref":"Chex.Parser.FEN.html#decode_en_passant/2","title":"Chex.Parser.FEN.decode_en_passant/2","type":"function","doc":""},{"ref":"Chex.Parser.FEN.html#decode_fullmove_clock/1","title":"Chex.Parser.FEN.decode_fullmove_clock/1","type":"function","doc":""},{"ref":"Chex.Parser.FEN.html#decode_halfmove_clock/1","title":"Chex.Parser.FEN.decode_halfmove_clock/1","type":"function","doc":""},{"ref":"Chex.Parser.FEN.html#decode_rank/4","title":"Chex.Parser.FEN.decode_rank/4","type":"function","doc":""},{"ref":"Chex.Parser.FEN.html#parse/1","title":"Chex.Parser.FEN.parse/1","type":"function","doc":""},{"ref":"Chex.Parser.FEN.html#serialize/1","title":"Chex.Parser.FEN.serialize/1","type":"function","doc":""},{"ref":"Chex.Parser.FEN.html#serialize_active_color/1","title":"Chex.Parser.FEN.serialize_active_color/1","type":"function","doc":""},{"ref":"Chex.Parser.FEN.html#serialize_board/1","title":"Chex.Parser.FEN.serialize_board/1","type":"function","doc":""},{"ref":"Chex.Parser.FEN.html#serialize_castling/1","title":"Chex.Parser.FEN.serialize_castling/1","type":"function","doc":""},{"ref":"Chex.Parser.FEN.html#serialize_en_passant/1","title":"Chex.Parser.FEN.serialize_en_passant/1","type":"function","doc":""},{"ref":"Chex.Piece.html","title":"Chex.Piece","type":"module","doc":""},{"ref":"Chex.Piece.html#case_for_color/2","title":"Chex.Piece.case_for_color/2","type":"function","doc":""},{"ref":"Chex.Piece.html#from_string/1","title":"Chex.Piece.from_string/1","type":"function","doc":""},{"ref":"Chex.Piece.html#to_string/1","title":"Chex.Piece.to_string/1","type":"function","doc":""},{"ref":"Chex.Piece.html#t:t/0","title":"Chex.Piece.t/0","type":"type","doc":"A name, color atom pair."},{"ref":"Chex.Server.html","title":"Chex.Server","type":"module","doc":""},{"ref":"Chex.Server.html#child_spec/1","title":"Chex.Server.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Chex.Server.html#start_link/1","title":"Chex.Server.start_link/1","type":"function","doc":""},{"ref":"Chex.Server.html#subscribe/1","title":"Chex.Server.subscribe/1","type":"function","doc":""},{"ref":"Chex.Square.html","title":"Chex.Square","type":"module","doc":""},{"ref":"Chex.Square.html#color/1","title":"Chex.Square.color/1","type":"function","doc":""},{"ref":"Chex.Square.html#from_string/1","title":"Chex.Square.from_string/1","type":"function","doc":""},{"ref":"Chex.Square.html#t:t/0","title":"Chex.Square.t/0","type":"type","doc":"File a-h as an atom, with an file integer 1-8."}]